#!/usr/bin/env python
# -*- coding: utf-8 -*-

import RPi.GPIO as GPIO
from time import sleep
import urllib2

GPIO.setwarnings(False)
GPIO.setmode(GPIO.BCM)
GPIO.setup(21, GPIO.IN, pull_up_down=GPIO.PUD_UP)
GPIO.setup(20, GPIO.IN, pull_up_down=GPIO.PUD_UP)

def my_callback(channel):
   if GPIO.input(channel):
      WebHook('command?GPIO%s=false' %channel)
   else:
      WebHook('command?GPIO%s=true'%channel)


# Interrupts aktivieren
GPIO.add_event_detect(21, GPIO.BOTH, callback=my_callback, bouncetime=1)
GPIO.add_event_detect(20, GPIO.BOTH, callback=my_callback, bouncetime=1)

# Webhook senden
def WebHook(command):
    try:
        sock=urllib2.urlopen('http://127.0.0.1:3777/hook/' + command)
        data=sock.read()
    except urllib2.URLError:
        pass
    except urllib2.HTTPError:
        pass
    except urllib2.httplib.BadStatusLine:
        pass
    else:
        sock.close()
        return(data)

# Endlosschleife, bis Strg-C gedrueckt wird
try:
  while True:
    # nix Sinnvolles tun
    sleep(0.01)

except KeyboardInterrupt:
  GPIO.remove_event_detect(21)
  GPIO.remove_event_detect(20)
  GPIO.cleanup()
  print "\nBye"

