 <?
//Script wird alle 15 Minuten per Zeitgeber aufgerufen, und setzt den Regler mit der Aussentemperatur
// Aussentemperatur muss aufgezeichnet werden !, hier "Temperatur Aussen GPIO"
$id = IPS_GetParent($_IPS['SELF']);
$id2= IPS_GetParent($id);
$IDArchiveHandler = IPS_GetObjectIDByName("Archive",0);
$varId = IPS_GetObjectIDByName("Temperatur Aussen GPIO", $id2);
// $varId = IPS_GetObjectIDByName("Temperatur Aussen Dallas", $id2); //LCN Dallas Gartenhütte, zum testen
$var_reglerId = IPS_GetObjectIDByName("Temperatur_Regler", $id2);
$var_mittelId = IPS_GetObjectIDByName("Temperatur mittel", $id2);
$var_minId = IPS_GetObjectIDByName("Temperatur min", $id2);
$var_trägheitId = IPS_GetObjectIDByName("Trägheit", $id2); //Gebäudeträgheit in Stunden, einstellbar im Webfront

$var_ist = GetValue($varId); //gemessene Aussentemperatur
$interval =  (GetValue($var_trägheitId) * 60*60) ; // Gebäudeträgheit in Sekunden umrechnen
//$interval = 21600 /*Timespan in seconds for Mean/Median Calculation*/;    //6 Stunden
//$interval = 43200 /*Timespan in seconds for Mean/Median Calculation*/; //12 Stunden
//var_dump ($interval);
if($interval == 0) {
	Setvalue ($var_reglerId,$var_ist);
	Setvalue ($var_minId,$var_ist);
	Setvalue ($var_mittelId,number_format($var_ist, 2));
}
else {
	// Maximal-Minimal-Mittelwert letzte x Stunden ermitteln
	$temp = AC_GetLoggedValues($IDArchiveHandler, $varId,  time()- $interval,time(),-1);
	foreach ($temp as $key => $v)
	{
	    $value[] = $v['Value'];
	    $anzahl = count($value);
	    rsort($value);
	}
	if($anzahl > 1) {
	$maxWert = array_shift($value);
	$minWert = array_pop($value);
	$mittelWert = (array_sum($value))/($anzahl-2);
	Setvalue ($var_minId,$minWert);
	Setvalue ($var_mittelId,number_format($mittelWert, 2));
	
	//echo"Ist: ".$var_ist." °C"."\n"."Höchstwert: ".$maxWert." °C"."\n"."Minimalwert: ".$minWert." °C "."\n"."Mittelwert: ".number_format($mittelWert, 2)." °C"."\n";
	}
	
	// Aussentemp grösser Mittelwert, Mittelwert an den Regler übergeben
	if($varId > $minWert) {  
		Setvalue ($var_reglerId,$minWert);
	}
	//Mittelwert grösser Aussentemp, Aussentemp an den Regler übergeben (Wird hier gebraucht, bei schnellem Temperaturabfall !)
	if($minWert > $var_ist) {
		Setvalue ($var_reglerId,$var_ist);
	}

}
?>