<?

class boolean{}; class bool{}; class integer{}; class int{}; class float{}; class string{};
class IPSTypeHintHandler {
	public static function CatchError($ErrLevel, $ErrMessage) {
		if ($ErrLevel == E_RECOVERABLE_ERROR) {
			return strpos($ErrMessage, 'must be an instance of string')
				|| strpos($ErrMessage, 'must be an instance of integer')
				|| strpos($ErrMessage, 'must be an instance of int')
				|| strpos($ErrMessage, 'must be an instance of float')
				|| strpos($ErrMessage, 'must be an instance of boolean')
				|| strpos($ErrMessage, 'must be an instance of bool');
		}
		return false;
	}
}

function TSDUM_SetFloat($InstanceID, $float)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{855a3afc-ed40-11e6-bc64-92361f002671}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Dummy/module.php');
		$result = (new TS_Dummy($InstanceID))->SetFloat($float);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSDUM_SetDimmer($InstanceID, $dim)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{855a3afc-ed40-11e6-bc64-92361f002671}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Dummy/module.php');
		$result = (new TS_Dummy($InstanceID))->SetDimmer($dim);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSmpd_Stop($InstanceID)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{56fd500a-0cdb-11e5-a6c0-1697f925ec7b}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Mpd/module.php');
		$result = (new TS_MPD($InstanceID))->Stop();
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSmpd_Next($InstanceID)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{56fd500a-0cdb-11e5-a6c0-1697f925ec7b}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Mpd/module.php');
		$result = (new TS_MPD($InstanceID))->Next();
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSmpd_Previous($InstanceID)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{56fd500a-0cdb-11e5-a6c0-1697f925ec7b}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Mpd/module.php');
		$result = (new TS_MPD($InstanceID))->Previous();
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSmpd_Play($InstanceID)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{56fd500a-0cdb-11e5-a6c0-1697f925ec7b}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Mpd/module.php');
		$result = (new TS_MPD($InstanceID))->Play();
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_SetMute($InstanceID, $value)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->SetMute($value);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_SetVolume($InstanceID, $value)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->SetVolume($value);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_SetOn($InstanceID)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->SetOn();
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_Send($InstanceID, $sendJson)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->Send($sendJson);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_Station($InstanceID, $_steuer)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->Station($_steuer);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_FB($InstanceID, $_steuer)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->FB($_steuer);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_UpdateState($InstanceID, $data)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->UpdateState($data);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_UpdateVolume($InstanceID, $data)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->UpdateVolume($data);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_GetChannelInfo($InstanceID)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->GetChannelInfo();
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_Test($InstanceID)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->Test();
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function HMON_Update($InstanceID)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{43a1a37c-9e74-11e6-80f5-76304dec7eb7}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_HostMonitor/module.php');
		$result = (new TS_HostMonitor($InstanceID))->Update();
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_GetVolume($InstanceID)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->GetVolume();
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_SendKey($InstanceID, $key)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->SendKey($key);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_UpdateChannelInfo($InstanceID, $data)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->UpdateChannelInfo($data);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSmpd_SetRadio($InstanceID, $radio)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{56fd500a-0cdb-11e5-a6c0-1697f925ec7b}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Mpd/module.php');
		$result = (new TS_MPD($InstanceID))->SetRadio($radio);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_SetRecord($InstanceID)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->SetRecord();
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function DBox_Station($InstanceID, $_dbox)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{e09d4680-45c5-11e5-a151-feff819cdc9f}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_DBox/module.php');
		$result = (new TS_DBox($InstanceID))->Station($_dbox);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_UpdateVolumeVar($InstanceID, $data)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->UpdateVolumeVar($data);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function xbmc_Station($InstanceID, $_steuer)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{92c1c668-74d0-11e5-8bcf-feff819cdc9f}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_xbmc-kodi/module.php');
		$result = (new TS_xbmc($InstanceID))->Station($_steuer);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_GetDuration($InstanceID)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->GetDuration();
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function xbmc_FB($InstanceID, $_steuer)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{92c1c668-74d0-11e5-8bcf-feff819cdc9f}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_xbmc-kodi/module.php');
		$result = (new TS_xbmc($InstanceID))->FB($_steuer);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_UpdateMuteVar($InstanceID, $data)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->UpdateMuteVar($data);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSmpd_SetMute($InstanceID, $mute)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{56fd500a-0cdb-11e5-a6c0-1697f925ec7b}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Mpd/module.php');
		$result = (new TS_MPD($InstanceID))->SetMute($mute);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSmpd_SetVolume($InstanceID, $volume)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{56fd500a-0cdb-11e5-a6c0-1697f925ec7b}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Mpd/module.php');
		$result = (new TS_MPD($InstanceID))->SetVolume($volume);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSDUM_SetSwitch($InstanceID, $switch)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{855a3afc-ed40-11e6-bc64-92361f002671}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Dummy/module.php');
		$result = (new TS_Dummy($InstanceID))->SetSwitch($switch);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_SetStopp($InstanceID)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->SetStopp();
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSGEO_ProcessHookData($InstanceID)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{628ed7d5-73fe-45d3-bf9b-f267231cb422}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Geofancy/module.php');
		$result = (new TS_Geofancy($InstanceID))->ProcessHookData();
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSmpd_SetRadioFavorite($InstanceID)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{56fd500a-0cdb-11e5-a6c0-1697f925ec7b}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Mpd/module.php');
		$result = (new TS_MPD($InstanceID))->SetRadioFavorite();
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_UpdateDuration($InstanceID, $data)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->UpdateDuration($data);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function DBox_FB($InstanceID, $_dbox)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{e09d4680-45c5-11e5-a151-feff819cdc9f}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_DBox/module.php');
		$result = (new TS_DBox($InstanceID))->FB($_dbox);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_IncomingData($InstanceID, $data)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->IncomingData($data);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_SetOff($InstanceID)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->SetOff();
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSmpd_Pause($InstanceID)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{56fd500a-0cdb-11e5-a6c0-1697f925ec7b}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Mpd/module.php');
		$result = (new TS_MPD($InstanceID))->Pause();
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_UpdatePlayerItemVars($InstanceID, $data)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->UpdatePlayerItemVars($data);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function HMON_Benachrichtigung($InstanceID, $status, $live)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{43a1a37c-9e74-11e6-80f5-76304dec7eb7}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_HostMonitor/module.php');
		$result = (new TS_HostMonitor($InstanceID))->Benachrichtigung($status, $live);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_SetPlayPause($InstanceID)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->SetPlayPause();
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSKODI_SetActuatorsByCatIdent($InstanceID, $ident)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{86277f50-1b2a-11e6-b6ba-3e1d05defe78}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Kodi/module.php');
		$result = (new TS_Kodi($InstanceID))->SetActuatorsByCatIdent($ident);
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

function TSmpd_SetDefaultVolume($InstanceID)
{
	$old_handler = set_error_handler('IPSTypeHintHandler::CatchError');
	if(IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{56fd500a-0cdb-11e5-a6c0-1697f925ec7b}") {
		require_once('/var/lib/symcon/modules/Ts_Module/TS_Mpd/module.php');
		$result = (new TS_MPD($InstanceID))->SetDefaultVolume();
	}
	else {
		throw new Exception("Instance does not implement this function");
	}
	set_error_handler($old_handler);
	return $result;
}

